## org.eclipse.emf.edit.ui.celleditor
Class AdapterFactoryTableTreeEditor

    java.lang.Object
      org.eclipse.swt.custom.ControlEditor
          org.eclipse.swt.custom.TableTreeEditor
              org.eclipse.emf.common.ui.celleditor.ExtendedTableTreeEditor
                  org.eclipse.emf.edit.ui.celleditor.AdapterFactoryTableTreeEditor

All Implemented Interfaces:
  java.util.EventListener, KeyListener, MouseListener, SelectionListener, org.eclipse.swt.internal.SWTEventListener

Deprecated.

    @Deprecated
    public class AdapterFactoryTableTreeEditor

extends ExtendedTableTreeEditor

This base class for implementing `TableTreeEditor`s that delegate to adapters produced by an `AdapterFactory`. This API is under construction; please do not use it for anything more than experimentation.

See Also:
  `AdapterFactoryTreeEditor`

Field Summary
`protected Control` `activeEditor` Deprecated.
`protected AdapterFactory` `adapterFactory` Deprecated.
`protected Composite` `canvas` Deprecated.
`protected int` `currentColumn` Deprecated.
`protected TableItem` `currentTableItem` Deprecated.
`protected TableTreeItem` `currentTableTreeItem` Deprecated.
`protected java.lang.Object` `currentTableTreeItemData` Deprecated.
`protected boolean` `hasDropDown` Deprecated.
`protected boolean` `hasLaunched` Deprecated.
`protected boolean` `isDown` Deprecated.
`protected AdapterFactoryItemDelegator` `itemDelegator` Deprecated.
`protected KeyListener` `keyListener` Deprecated.
`protected Image` `leftGradient` Deprecated.
`protected PaintListener` `paintListener` Deprecated.
`protected Image` `rightGradient` Deprecated.

Fields inherited from class org.eclipse.emf.common.ui.celleditor.ExtendedTableTreeEditor
`editTableTreeItem, editTableTreeItemColumn, selectedTableItem, table, tableTree`

Fields inherited from class org.eclipse.swt.custom.ControlEditor
`grabHorizontal, grabVertical, horizontalAlignment, minimumHeight, minimumWidth, verticalAlignment`

Constructor Summary
`AdapterFactoryTableTreeEditor(TableTree tableTree, AdapterFactory adapterFactory)` Deprecated.

Method Summary
`protected void` `activate()` Deprecated.
`protected static Rectangle` `adjust(Rectangle bounds, Rectangle baseBounds)` Deprecated.
`void` `apply()` Deprecated.
`protected void` `arrowDown()` Deprecated.
`protected void` `arrowLeft()` Deprecated.
`protected void` `arrowRight()` Deprecated.
`protected void` `arrowUp()` Deprecated.
`void` `cancel()` Deprecated.
`protected Composite` `createComposite()` Deprecated.
`Control` `createDropDownEditor(Composite parent, java.lang.Object object, int column)` Deprecated.
`void` `createLaunchedEditor(Composite parent, java.lang.Object object, int column)` Deprecated.
`void` `dismiss()` Deprecated.
`protected static void` `drawImage(GC gc, Image image, Rectangle bounds)` Deprecated.
`protected void` `editItem(TableItem tableItem, TableTreeItem tableTreeItem, int column)` Deprecated.
`AdapterFactory` `getAdapterFactory()` Deprecated.
`IItemPropertyDescriptor` `getColumnPropertyDescriptor(java.lang.Object object, int column)` Deprecated.
`protected void` `getGradients()` Deprecated.
`protected static Rectangle` `getImageBounds(TableItem item, int column)` Deprecated.
`protected Image` `getLeftGradient()` Deprecated.
`protected Image` `getRightGradient()` Deprecated.
`boolean` `hasDropDownEditor(java.lang.Object object, int column)` Deprecated.
`boolean` `hasInPlaceEditor(java.lang.Object object, int column)` Deprecated.
`boolean` `hasLaunchedEditor(java.lang.Object object, int column)` Deprecated.
`protected boolean` `isDown()` Deprecated.
`void` `paintControl(PaintEvent event)` Deprecated.
`void` `setAdapterFactory(AdapterFactory adapterFactory)` Deprecated.
`protected void` `setDown(boolean isDown)` Deprecated.

Methods inherited from class org.eclipse.emf.common.ui.celleditor.ExtendedTableTreeEditor
`keyPressed, keyReleased, mouseDoubleClick, mouseDown, mouseUp, setEditor, widgetDefaultSelected, widgetSelected`

Methods inherited from class org.eclipse.swt.custom.TableTreeEditor
`dispose, getColumn, getItem, layout, setColumn, setItem`

Methods inherited from class org.eclipse.swt.custom.ControlEditor
`getEditor, setEditor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### adapterFactory

    protected AdapterFactory adapterFactory

  Deprecated.

### itemDelegator

    protected AdapterFactoryItemDelegator itemDelegator

  Deprecated.

### currentTableItem

    protected TableItem currentTableItem

  Deprecated.

### currentTableTreeItem

    protected TableTreeItem currentTableTreeItem

  Deprecated.

### currentTableTreeItemData

    protected java.lang.Object currentTableTreeItemData

  Deprecated.

### currentColumn

    protected int currentColumn

  Deprecated.

### leftGradient

    protected Image leftGradient

  Deprecated.

### rightGradient

    protected Image rightGradient

  Deprecated.

### canvas

    protected Composite canvas

  Deprecated.

### keyListener

    protected KeyListener keyListener

  Deprecated.

### paintListener

    protected PaintListener paintListener

  Deprecated.

### activeEditor

    protected Control activeEditor

  Deprecated.

### isDown

    protected boolean isDown

  Deprecated.

### hasDropDown

    protected boolean hasDropDown

  Deprecated.

### hasLaunched

    protected boolean hasLaunched

  Deprecated.

Constructor Detail

### AdapterFactoryTableTreeEditor

    public AdapterFactoryTableTreeEditor(TableTree tableTree,
                                         AdapterFactory adapterFactory)

  Deprecated.

Method Detail

### getAdapterFactory

    public AdapterFactory getAdapterFactory()

  Deprecated.

### setAdapterFactory

    public void setAdapterFactory(AdapterFactory adapterFactory)

  Deprecated.

### getColumnPropertyDescriptor

    public IItemPropertyDescriptor getColumnPropertyDescriptor(java.lang.Object object,
                                                               int column)

  Deprecated.

### hasInPlaceEditor

    public boolean hasInPlaceEditor(java.lang.Object object,
                                    int column)

  Deprecated.

### hasDropDownEditor

    public boolean hasDropDownEditor(java.lang.Object object,
                                     int column)

  Deprecated.

### createDropDownEditor

    public Control createDropDownEditor(Composite parent,
                                        java.lang.Object object,
                                        int column)

  Deprecated.

### hasLaunchedEditor

    public boolean hasLaunchedEditor(java.lang.Object object,
                                     int column)

  Deprecated.

### createLaunchedEditor

    public void createLaunchedEditor(Composite parent,
                                     java.lang.Object object,
                                     int column)

  Deprecated.

### setDown

    protected void setDown(boolean isDown)

  Deprecated.

### isDown

    protected boolean isDown()

  Deprecated.

### editItem

    protected void editItem(TableItem tableItem,
                            TableTreeItem tableTreeItem,
                            int column)

  Deprecated.
  Specified by:
    `editItem` in class `ExtendedTableTreeEditor`

### createComposite

    protected Composite createComposite()

  Deprecated.

### activate

    protected void activate()

  Deprecated.

### cancel

    public void cancel()

  Deprecated.

### apply

    public void apply()

  Deprecated.

### dismiss

    public void dismiss()

  Deprecated.
  Overrides:
    `dismiss` in class `ExtendedTableTreeEditor`

### arrowLeft

    protected void arrowLeft()

  Deprecated.

### arrowRight

    protected void arrowRight()

  Deprecated.

### arrowUp

    protected void arrowUp()

  Deprecated.

### arrowDown

    protected void arrowDown()

  Deprecated.

### adjust

    protected static Rectangle adjust(Rectangle bounds,
                                      Rectangle baseBounds)

  Deprecated.

### getImageBounds

    protected static Rectangle getImageBounds(TableItem item,
                                              int column)

  Deprecated.

### drawImage

    protected static void drawImage(GC gc,
                                    Image image,
                                    Rectangle bounds)

  Deprecated.

### paintControl

    public void paintControl(PaintEvent event)

  Deprecated.

### getLeftGradient

    protected Image getLeftGradient()

  Deprecated.

### getRightGradient

    protected Image getRightGradient()

  Deprecated.

### getGradients

    protected void getGradients()

  Deprecated.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.